Bug 1419903 - pcs cluster cib-push does not recognize "scope" option
Summary: pcs cluster cib-push does not recognize "scope" option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.3
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1420757
TreeView+ depends on / blocked
 
Reported: 2017-02-07 11:21 UTC by Martin Juricek
Modified: 2017-08-01 18:26 UTC (History)
6 users (show)

Fixed In Version: pcs-0.9.156-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1420757 (view as bug list)
Environment:
Last Closed: 2017-08-01 18:26:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (2.91 KB, patch)
2017-02-07 16:53 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1958 normal SHIPPED_LIVE pcs bug fix and enhancement update 2017-08-01 18:09:47 UTC
Red Hat Bugzilla 1422667 None None None Never

Internal Links: 1422667

Comment 3 Tomas Jelinek 2017-02-07 16:53:59 UTC
Created attachment 1248470 [details]
proposed fix

Comment 7 Ivan Devat 2017-02-20 08:25:04 UTC
After Fix:

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.156-1.el7.x86_64

[vm-rhel72-1 ~] $ pcs cluster cib > cibfile.xml
[vm-rhel72-1 ~] $ pcs -f cibfile.xml resource create dummy ocf:heartbeat:Dummy
[vm-rhel72-1 ~] $ pcs cluster cib-push cibfile.xml scope=configuration
CIB updated

> Better error message when the diff of the old and the new CIB is empty

[vm-rhel72-1 ~] $ pcs cluster cib > original.xml
[vm-rhel72-1 ~] $ cp original.xml updated.xml
[vm-rhel72-1 ~] $ pcs cluster cib-push updated.xml diff-against=original.xml
Error: The new CIB is the same as the original CIB, nothing to push.

Comment 11 errata-xmlrpc 2017-08-01 18:26:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1958


Note You need to log in before you can comment on or make changes to this bug.